// Cell.h: interface for the FCCell class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CELL_H__8F02EFCB_8D1C_423E_993E_0966EA0CFB77__INCLUDED_)
#define AFX_CELL_H__8F02EFCB_8D1C_423E_993E_0966EA0CFB77__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define MAX_PULL	300

class FCCell  
{
public:
	double Signal;
	void InitWeights();
	double Net[MAX_PULL], fNet[MAX_PULL];
	double* Weights;
	double* WeightsDelta;
	int Layer;
	int WeightsNum;
	FCCell();
	FCCell(const FCCell & cell);
	virtual ~FCCell();

};

#endif // !defined(AFX_CELL_H__8F02EFCB_8D1C_423E_993E_0966EA0CFB77__INCLUDED_)
